USE [master]
GO
/****** Object:  Database [workflow]    Script Date: 02-03-2023 14:58:30 ******/
CREATE DATABASE [workflow]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'workflow', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\workflow.mdf' , SIZE = 4096KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'workflow_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL11.MSSQLSERVER\MSSQL\DATA\workflow_log.ldf' , SIZE = 1024KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO
ALTER DATABASE [workflow] SET COMPATIBILITY_LEVEL = 110
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [workflow].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [workflow] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [workflow] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [workflow] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [workflow] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [workflow] SET ARITHABORT OFF 
GO
ALTER DATABASE [workflow] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [workflow] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [workflow] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [workflow] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [workflow] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [workflow] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [workflow] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [workflow] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [workflow] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [workflow] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [workflow] SET  DISABLE_BROKER 
GO
ALTER DATABASE [workflow] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [workflow] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [workflow] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [workflow] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [workflow] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [workflow] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [workflow] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [workflow] SET RECOVERY SIMPLE 
GO
ALTER DATABASE [workflow] SET  MULTI_USER 
GO
ALTER DATABASE [workflow] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [workflow] SET DB_CHAINING OFF 
GO
ALTER DATABASE [workflow] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [workflow] SET TARGET_RECOVERY_TIME = 0 SECONDS 
GO
USE [workflow]
GO
/****** Object:  Table [dbo].[DISCLOSURE_DETAILS]    Script Date: 02-03-2023 14:58:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[DISCLOSURE_DETAILS](
	[ID] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[LIFE_DETAILS_ID] [numeric](18, 0) NULL,
	[STATUS] [nvarchar](50) NULL,
	[CATEGORY_CODE] [nvarchar](50) NULL,
	[CATEGORY_DESC] [nvarchar](50) NULL,
	[CONDITION_NAME] [nvarchar](50) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[ERROR_DETAILS]    Script Date: 02-03-2023 14:58:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[ERROR_DETAILS](
	[ID] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[DISCLOSURE_DETAILS_ID] [numeric](18, 0) NULL,
	[CASE_FIELD_ERROR_DESC] [nvarchar](200) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[EVIDENCE_DETAILS]    Script Date: 02-03-2023 14:58:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EVIDENCE_DETAILS](
	[ID] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[LIFE_DETAILS_ID] [numeric](18, 0) NULL,
	[STATUS] [nvarchar](50) NULL,
	[ENTITY_TYPE] [nvarchar](50) NULL,
 CONSTRAINT [PK_EVIDENCE_DETAILS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[EVIDENCE_RISK_DETAILS]    Script Date: 02-03-2023 14:58:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EVIDENCE_RISK_DETAILS](
	[ID] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[EVIDENCE_DETAILS_ID] [numeric](18, 0) NULL,
	[SPARK_DECISION_CODE] [nvarchar](50) NULL,
	[SPARK_DECISION_DESC] [nvarchar](50) NULL,
	[RISK_TYPE_CODE] [nvarchar](50) NULL,
	[RISK_TYPE_DESC] [nvarchar](50) NULL,
 CONSTRAINT [PK_EVIDENCE_RISK_DETAILS] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[LIFE_DETAILS]    Script Date: 02-03-2023 14:58:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[LIFE_DETAILS](
	[ID] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[CASE_ID] [nvarchar](50) NULL,
	[LIFE_INSTANCE] [nvarchar](50) NULL,
 CONSTRAINT [PK_Life_Details] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[REQUIREMENT_DETAILS]    Script Date: 02-03-2023 14:58:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[REQUIREMENT_DETAILS](
	[ID] [numeric](18, 0) IDENTITY(1,1) NOT NULL,
	[LIFE_DETAILS_ID] [numeric](18, 0) NULL,
	[SPARK_REQUIREMENT_CODE] [nvarchar](50) NULL,
	[SPARK_REQUIREMENT_DESCRIPTION] [nvarchar](50) NULL
) ON [PRIMARY]

GO
/****** Object:  Table [dbo].[SPARK_CASE_DETAILS]    Script Date: 02-03-2023 14:58:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[SPARK_CASE_DETAILS](
	[Case_ID] [nvarchar](50) NULL,
	[SPARK_Requirement_Code] [nvarchar](50) NULL,
	[SPARK_Requirement_Desc] [nvarchar](50) NULL,
	[Case_Status_Code] [nvarchar](50) NULL
) ON [PRIMARY]

GO
ALTER TABLE [dbo].[EVIDENCE_DETAILS]  WITH CHECK ADD  CONSTRAINT [FK_EVIDENCE_DETAILS_Life_Details] FOREIGN KEY([LIFE_DETAILS_ID])
REFERENCES [dbo].[LIFE_DETAILS] ([ID])
GO
ALTER TABLE [dbo].[EVIDENCE_DETAILS] CHECK CONSTRAINT [FK_EVIDENCE_DETAILS_Life_Details]
GO
ALTER TABLE [dbo].[EVIDENCE_RISK_DETAILS]  WITH CHECK ADD  CONSTRAINT [FK_EVIDENCE_RISK_DETAILS_EVIDENCE_DETAILS] FOREIGN KEY([EVIDENCE_DETAILS_ID])
REFERENCES [dbo].[EVIDENCE_DETAILS] ([ID])
GO
ALTER TABLE [dbo].[EVIDENCE_RISK_DETAILS] CHECK CONSTRAINT [FK_EVIDENCE_RISK_DETAILS_EVIDENCE_DETAILS]
GO
ALTER TABLE [dbo].[REQUIREMENT_DETAILS]  WITH CHECK ADD  CONSTRAINT [FK_REQUIREMENT_DETAILS_Life_Details] FOREIGN KEY([LIFE_DETAILS_ID])
REFERENCES [dbo].[LIFE_DETAILS] ([ID])
GO
ALTER TABLE [dbo].[REQUIREMENT_DETAILS] CHECK CONSTRAINT [FK_REQUIREMENT_DETAILS_Life_Details]
GO
USE [master]
GO
ALTER DATABASE [workflow] SET  READ_WRITE 
GO
